#include <stdio.h>
#include <errno.h>
#include <time.h>
#include "vncviewer.h"

int move_gtkwindow(GtkWidget *widget, int monitor)
{
	int x;
	int y;
	int mon;
	GdkRectangle rectFrom;
	GdkRectangle rectTo;

	if (monitor < 0) {
		return 0;
	}

	gtk_window_get_position(GTK_WINDOW(widget), &x, &y);
	mon = gdk_screen_get_monitor_at_point(gtk_widget_get_screen(widget), x, y);
	if (mon == monitor) {
		return 0;
	}
	gdk_screen_get_monitor_geometry(gtk_widget_get_screen(widget), mon, &rectFrom);
	gdk_screen_get_monitor_geometry(gtk_widget_get_screen(widget), monitor, &rectTo);
	x = rectTo.x - rectFrom.x + x;
	y = rectTo.y - rectFrom.y + y;
	gtk_window_move(GTK_WINDOW(widget), x, y);
	return 1;
}

