/// @file
/// @brief ウィンドウ関係のラッパ(Windows)

#include "vncviewer.h"
#include <gdk/gdkwin32.h>

void show_gtkwindow(GtkWidget *widget)
{
	HWND hWnd;

	gtk_widget_show(widget);
	hWnd = GDK_WINDOW_HWND(widget->window);
	SetWindowPos(hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE | SWP_SHOWWINDOW);
	SetWindowPos(hWnd, HWND_NOTOPMOST, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE | SWP_SHOWWINDOW);
}

void show_gtkwindow_top(GtkWidget *widget)
{
	HWND hWnd;

	gtk_widget_show(widget);
	hWnd = GDK_WINDOW_HWND(widget->window);
	SetWindowPos(hWnd, HWND_TOPMOST, 0, 0, 0, 0, SWP_NOMOVE | SWP_NOSIZE | SWP_SHOWWINDOW);
}
